%global pypi_name jaraco.context
%global pkg_name  jaraco-context

%bcond_with tests

Name:           python-%{pkg_name}
Version:        5.3.0
Release:        %mkrel 1
Summary:        Context managers by jaraco
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.context
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%if %{with tests}
# test requirements
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-checkdocs)
BuildRequires:  python3dist(pytest-flake8)
BuildRequires:  python3dist(pytest-black)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-mypy)
BuildRequires:  python3dist(pytest-enabler)
%endif

%description
%{summary}

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3dist(six)
Requires:       python3dist(jaraco.functools)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
%{summary}

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with tests}
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files jaraco

%files -n python3-%{pkg_name} -f %{pyproject_files}
%doc LICENSE
%doc README.rst


%changelog
* Fri Jun 28 2024 papoteur <papoteur> 5.3.0-1.mga10
+ Revision: 2077587
- new version 5.3.0

* Thu Dec 07 2023 wally <wally> 4.3.0-3.mga10
+ Revision: 2015482
- build without unneeded toml
- rebuild for py3.12
- fix URL

* Mon Sep 11 2023 papoteur <papoteur> 4.3.0-1.mga10
+ Revision: 1986242
- new 4.3.0

* Sun Mar 20 2022 guillomovitch <guillomovitch> 4.1.1-1.mga9
+ Revision: 1808348
- imported package python-jaraco-context

